Какие научные построения программного обеспечения доступна?

В настоящее время я делал некоторые экспериментальные работы и у меня есть много данных, чтобы хотя трала. Я использую Gnumeric табличный, и это очень хорошо, но часто я чувствую, должно быть что-то лучше.

В идеале я хотел бы, чтобы максимальное количество объектов с минимальной кривой обучения, но на самом деле я просто хотел бы знать, если есть что-то лучше, чем Gnumeric, в которые я могу использовать для работы и построения данных.

Что бы вы порекомендовали?

+595
user238169 22 янв. 2017 г., 14:46:16
27 ответов

Все равно это не может быть сделано. Потому что данных слишком случайным. Нет никакого способа, чтобы определить последовательность данных.

+949
ore arju 03 февр. '09 в 4:24

Как мне настроить, что в JVM затмение проходит в?

Я пытаюсь переключить его использовать я установил Ява-6-солнца , так что я могу использовать jstack , чтобы выяснить, почему затмение крутится бесконечно в определенных ситуациях.

Недавно я обновился до Ubuntu 12.04, и я использую предварительно упакованных в Ubuntu с Eclipse 3.7.2.

Я пытался добавить -ВМ вариант затмения.Ини (сразу выше -vmargs строки в мой файл/etc/затмение.Ини), но сверху по-прежнему показывает, что Eclipse работает с простой старый каталог/usr/Бен/Ява.

В сообществе Ubuntu Вики-статья для Eclipse упоминает в/etc/затмение/переменной JAVA_HOME, которая не существует в моей системе.

+937
scout111 28 янв. 2016 г., 14:27:01

Я следовал точно такой же инструкции по установке xkcd-браузера, но сталкивается проблемами зависимостей

судо дополнения кв-репозиторий PPA:brianrobles204/xkcd-браузера; 
судо apt-получить обновление; 
суда apt-получить установку xkcd-браузера 

Источник : http://www.omgubuntu.co.uk/2012/08/20-must-have-ubuntu-showdown-apps

Следующие пакеты имеют неудовлетворенные зависимости:

xkcd-браузер : зависит: gir1.2-gwibber-ГТК-0.2, но он не будет установлен 
Е: не удалось исправить ошибки, у вас прошла сломанные пакеты.

Может кто-нибудь помочь мне в решении этого вопроса-за малой зависимости-ад?

+868
Murch 2 мая 2017 г., 5:26:43

Откройте Dash и искать Системный монитор. Там вы сможете останавливать процессы, вы хотите легко

+866
cblof 18 дек. 2010 г., 13:52:38

В Ubuntu сохраняет все его планы в системе на Launchpad называют чертежи, каждый объект или план тщательно продуман и приведен график. Поиска в этой базе я не могу найти адресно спецификации для рукописного ввода. Но я нашел этот пользователь создал спецификацию в Бостоне-УДС 2007:

https://blueprints.launchpad.net/ubuntu/+спецификации/распознавания рукописного ввода

Возможно, пришло время для вас и других, чтобы поднять его и бить в барабан, чтобы Марк и команда платформу отсутствие распознавания рукописного текста как проблема, которую надо решить в следующей версии.

Теперь Ubuntu основана на GNOME, и проверяя функциональность Убунту на этом уровне не будет полным без ищу решения гном. Для этого я наткнулся на этот проект под названием CellWriter:

http://risujin.org/cellwriter/

Планы GNOME не фирма по этому вопросу реорганизации стороны, поэтому вряд ли мы получим руководство по введению функциональность в GNOME по умолчанию. Мой лучший совет будет попробовать CellWriter, если он делает свою работу, затем нажмите для его включения по умолчанию при создании или изменении проекта и учета на этот вопрос через цикл выпуска.

+829
Agraxin 7 янв. 2018 г., 14:53:08

Я хочу двигаться мое время хомячок проекта отслеживания данных с одного компьютера на другой. Как бы я пойти об этом?

Спасибо.

+758
talea 8 мар. 2011 г., 0:35:20

Я думаю, что я случайно понизило пост без намерения. в Emacs -NW-это правильный вариант.

Я просто устаю в VI/Emacs в пламени войны. Если в исходном посте не упомянул VI, а затем упомянуть, ви не поможет.

Кроме того, Emacs есть ви в режиме он - Вайпер-режиме.

+741
user59502 10 апр. 2010 г., 15:44:46

Заходим в Настройки > Универсальный доступ > указывая и нажав Теперь включить всплывающие нажмите кнопку. Настроить задержку и движения порог как ваша потребность.

enter image description here

+709
Mery Alpes 26 авг. 2010 г., 10:44:27

Откройте ~/.в KDE/доля/конфигурации/katerc и проверить, если они есть:

[Общие] 
На прошлой сессии=сеанс mysession.katesession 
Окно Восстановление конфигурации=истина 
Выездные сессии=сохранить

Была длительная выдающиеся ошибка, при которой некоторые параметры не сохранялись.

+702
Jonathan Rauch 25 дек. 2015 г., 17:09:32

Как принято по этой ссылке: https://www.debian.org/doc/debian-policy/#document-ch-relationships

Существует 5 типов зависимости:

Смысл пяти полей зависимость выглядит следующим образом:

Зависит

  • Это декларирует абсолютную зависимость. Пакет не будет настроен, если все пакеты, перечисленные в depends были правильно настроены. Поле depends следует использовать, если есть зависимые пакет требуется для в зависимости от пакета, чтобы обеспечить значительное количество функций. Поле depends также следует использовать, если сценарий postinst или prerm скрипты требуют зависело-на упаковке должен быть распакован и настроен для работы. В случае послеустановочных настроить, зависимые пакеты будут сначала распакован и настроен.

  • В случае prerm или других послеустановочных действий, зависимостей пакетов нормально будет, по крайней мере, распаковал, но они могут быть только "наполовину установленный" если предыдущее обновление зависимостей не удалось. Наконец, зависит поле следует использовать, если есть зависимые пакет нужен скрипт например, чтобы полностью очистить после удаления пакета. Нет никакой гарантии, что зависимости пакета будет доступна, когда например запускается, но зависимые пакет, скорее всего, будет доступна если на упаковке заявляет, зависимости (особенно в случае например удалить). Например скрипт должен корректно пропускать действия, которые требуют зависимости, если эта зависимость не доступен.

Рекомендует

  • Это заявляет, сильной, но не абсолютной, зависимости. В поле рекомендует следует список пакетов, которые будут найдены вместе с этим пакетом.

Предполагает

  • Это используется, чтобы объявить, что один пакет может быть более полезным с одной или несколькими другими. Используя это поле указывает системе упаковки и пользователей, что перечисленные пакеты, относящиеся к данному и, возможно, может повысить ее полезность, но установка это одно, без них вполне разумная.

Повышает

  • Это поле аналогично предполагает, но работает в противоположном направлении. Он используется, чтобы объявить, что пакет может улучшить функциональность другого пакета.

Предварительно Зависит

  • Это поле, как зависит, разве что кроме сил dpkg, чтобы завершить установку пакетов по имени, прежде чем даже начать установку пакета, который декларирует предварительной зависимости, как это работает, когда пакет объявив предварительно зависимость будет распаковали предварительно зависимость может быть удовлетворено, если есть зависимые пакет либо полностью настроен, или даже если есть зависимые пакета(ов) только в неупакованном виде или в "пол-настроенном" состоянии, при условии, что они были правильно настроены в какой-то момент в прошлом (и не удаленная или частично удаленная с).

  • В данном случае, как ранее настроенный и в настоящее время распаковки или "наполовину настроенный" версий должны удовлетворять какой-либо пункт версии в предварительно определяется поле. Когда пакет объявив предварительно зависимость должна быть настроена, предварительно зависимость будет рассматриваться как обычный зависит. Это будет считаться удовлетворенным, только если зависимые пакет был правильно настроен. Однако, в отличие от С зависит, пре-зависит не допускает циклических зависимостей, чтобы быть сломанным. Если циклическая зависимость обнаружена при попытке в честь пре-зависит от того, установка будет прервана.

  • Предварительно зависит также необходимы, если скрипта preinst зависит от имени пакета. Лучше всего, чтобы избежать этой ситуации, если это возможно. Предварительно зависит следует использовать с осторожностью, желательно только, чьи пакеты преждевременного обновления или установки могли бы ухудшить способность системы продолжать какие-либо обновления, которые могут быть в прогресс.

Уменьшенная Версия:

  • Как зависит и пре-зависит от того, говоря о зависимости пакета перед установкой, но предварительно зависит от силы установки и настройки зависимостей пакетов еще до того, начиная с пакета, который нуждается в зависимости. dpkg, даже не распакуется основного пакета, пока все предварительно зависят пакеты были рассмотрены. С зависит, порядок пакеты зависимостей и главное-не важно. Предварительно определяется с учетом этого, а также проверки, если предварительно зависит пакеты настраивает и установлен он или нет. Без этого, основной пакет даже не распакован, настроен и установлен. Необходимо установить зависимости Перед началом процесса работы с основным пакетом. Если нет, они должны быть загружены/настроен/установлен, прежде чем приступить. предварительно зависит, как правило, используются в тех случаях, когда стабильность пакета важно и не повлияет на систему или программу в очень плохом состоянии, но в этом случаи избежать нескольких норм также упоминается в ссылке выше.
+697
89188243591 1 янв. 2012 г., 0:03:11

Попробуйте это. Просто нажмите сочетание клавиш Ctrl+АЛТ+т на клавиатуре, чтобы открыть терминал. Когда она открывается, выполните команду(ы) ниже:

судо apt-получить обновление && судо apt-получить обновление

После запуска менеджера обновлений установить обновления снова. Он должен работать сейчас.

+665
Blobi 23 июн. 2017 г., 19:07:43

После установки или обновления Убунту, у меня возникли проблемы с использованием grub для загрузки мой компьютер. Как я собираю информацию, чтобы определить, что случилось так, что я могу это исправить?

+557
jwrandolph 9 мар. 2016 г., 19:56:41

Попробуйте включить проприетарные диски набрав "драйверы..." в тире и выбрав там дополнительных драйверов. Там будут один Broadcom и одна Кедровая тропа водитель; последнее, что вам нужно - судя по всему, новая Кедровая тропа атома Intel серии не имеют надлежащей поддержки графики в 12.04 запустить, так что теперь есть водитель, которая доступна, что устраняет проблему.

Извините за поздний ответ, но я только столкнулся с этой проблемой сегодня при установке 12.04 на новый 1015CX. Надеюсь, что это помогает - это сработало для меня :)

+544
Lev74 7 окт. 2018 г., 0:56:30

Можно ли настроить внешний вид кроме того, тема только для одного пользователя?

Я читал о возможности сделать это:

судо в Vim /usr/доли/темы/кроме того,/в GTK-2.0/gtkrc по

но может что-то быть сделано, чтобы изменить:

  • только один параметр

для

  • только один пользователь?

Возможно, изменить что-то в пользователя .темы каталога?

Примечание: Я бы предпочел не полностью скопировать тему в каталог пользователя, просто, чтобы обеспечить переопределить механизм после "глобального" тема применяется, независимо от темы, если это возможно, но в любом случае, просто указав, что должен быть иной, не дублируя всю тему Определение.

+523
CC Lawhon MEd 16 февр. 2014 г., 7:49:58

Удалив скайп панели значок в 12.04 без снятия сни-Кварты

  • Если вы не заботитесь о сни-Кварты, сняв значок как просто, как делать apt-получить удалить сни-сни на Qt-от Qt:i386 в
  • Установка Скайпа-при условии деб-это не решение; все версии Ubuntu это пакет тот же Skype деб но сни-Qt в зависимости от включения значка.

Простой конф-файл подправить или установке/удалении пакета не собирается сделать это, нам нужно чтобы получить вниз и грязные здесь.

  • стандарту SNI-QT, который обеспечивается этими общей библиотеки:

    в /usr/lib в/для i386-линукс-дистрибутив GNU/библиотеки Qt4/Плагины/systemtrayicon/libsni-на Qt.так
    в /usr/lib в/x86_64 с-линукс-дистрибутив GNU/библиотеки Qt4/Плагины/systemtrayicon/libsni-Кварты.так
    
  • Гарантированный способ удалить скайп значок , оставляя стандарту SNI-Qt и доступен для других приложения могут использовать это, чтобы предотвратить Skype от загрузки этих библиотек.

  • Это может быть сделано одним из двух способов: цивилизованно и грубой силы Баш-хакер путь.


1. Настоятельно рекомендуется: использовать в AppArmor , чтобы предотвратить Skype от нагрузки сни-Кварты

  • В AppArmor-это основы безопасности, встроенные в ядро Linux, которая устанавливает полномочия для того, что программа может и не открыть. Она включена по умолчанию в Ubuntu.

  • Пример профиля для Skype включен в приложение-броня профилей; я изменил, что только для достижения нашей цели отключения панели значок - другие функции были удалены.

  • Вы можете просмотреть профиль вставили сюда. Линии 24-25 биты, которые важны для нас.

Предупреждение: этот профиль не дает никакой другой вид безопасности-Skype будет работать нормально. Пожалуйста, см. здесь для более полного скайп в AppArmor профиль, который вы можете использовать, если вы хотите защитить скайп дальше.

Как установить

  • Для того чтобы установить, выйти из Skype, если он работает, а затем откройте терминал, нажав CTRL-Альт-Т, и тип/вставить ниже, чтобы установить профиль оклеенный в вашем профилями AppArmor каталог. (Вы также можете вручную вставить его в файл/etc/в AppArmor.д/УСР.бин.скайп , если хотите)

    судо команды wget -О/и т. д./В AppArmor.д/УСР.бин.http://pastebin.com/raw.php?i=2EYME5eF скайп

  • Затем введите команду sudo файл /etc/инит.Д/в AppArmor перезагрузить для перезагрузки всех профилей, в том числе скайп мы только что добавили. Подождите несколько секунд...

  • Чтобы проверить, что профиль был включен, типа судо apparmor_status | для egrep "режим|скайп"

    • Результат должен показать что-то вроде ниже: Skype, должны быть после "соблюдение режима", но перед любыми другими видами:
      21 профили в режиме исполнения.
      /usr/Бен/скайп
      22 профили в режим жаловаться.
      
  • Запустите Skype и значок на панели, надеюсь, не будет!

Как я могу добавить это поведение в мой собственный профиль в AppArmor скайп?

  • Просто добавьте эти строки в начале профиля, сразу после включает в себя (они попросту мешают Skype от чтения/загрузки стандарту SNI-Qt библиотек)

    отказать в /usr/lib в/для i386-линукс-дистрибутив GNU/библиотеки Qt4/Плагины/systemtrayicon/libsni-на Qt.так р
    отказать в /usr/lib в/x86_64 с-линукс-дистрибутив GNU/библиотеки Qt4/Плагины/systemtrayicon/libsni-на Qt.так р
    

2. Не рекомендуется: уродливый bash взломать

  • Я буду только дать псевдокод, чтобы не допустить нового попадания в ловушки, но простой bash-скрипт, который выполняет следующие действия достаточно, чтобы отключить значок панели:
    1. Удалить разрешения на чтение из соответствующего libsni-Кварты.поэтому для uid (пользователей) скайп работает как.
    2. Запустите Skype, подождите немного, так он заряжен.
    3. (Значок пропал, потому что Skype не удалось загрузить сни-на Qt.)
    4. Восстановление разрешения на libsni-на Qt.так.
+492
Elaine A Villarroel 1 мар. 2019 г., 16:10:21

Я сделал частичное обновление рано утром и все шаги доверчиво, потому что он, как правило, не вызывает проблем после до сих пор.

VLC плеер был неожиданно удален без моего ведома. Я попытался повторно установить его через терминал, но он показал это:

Следующие пакеты имеют неудовлетворенные зависимости:
в VLC : зависит: VLC плеер-noх (= 2.0.2+git20120711+r286-0~р39~precise1) но он не будет установлен
 Зависит: libvlccore5 (>= 2.0.0), но он не будет установлен
 Рекомендует: VLC плеер-плагин-уведомление (= 2.0.2+git20120711+r286-0~р39~precise1), но он не будет установлен
 Рекомендует: VLC плеер-плагин-импульса (= 2.0.2+git20120711+r286-0~р39~precise1), но он не будет установлен
 Е: не удалось исправить ошибки, у вас прошла сломанные пакеты.

Я пробовал делать это с помощью программного обеспечения Центра, но он также дал мне аналогичное сообщение. Как я могу исправить это и снова установить VLC?

Я использую планшет ThinkPad R61i 64-бит 12.04.

+485
Adam Sharp 28 мар. 2013 г., 8:27:06

У меня есть старый ноутбук PowerBook G4 в том, что работал (более или менее) нормально с предыдущей установки Ubuntu 12.04 рабочего стола. Несколько дней назад я решил установить Ubuntu сервере, и получил копию сервера Ubuntu 12.10. Установка, казалось, успешно, но теперь, когда я пытаюсь загрузить систему, он просто останавливается в какой-то момент после разблокировать жесткий диск. Есть много текста на экране (что для меня нормально во время загрузки, только теперь это по большей части ошибки и отладочную информацию), последний из которых это:

[ 26.338228] отладка рекурсивных вина, но нужна перезагрузка!

Клавишей управления командной силы , чтобы заставить перезагрузка дает точно такие же результаты.

Поиск сообщение об ошибке появился много временных решений, предусматривающих параметры ядра, но ни один из них не работал для меня. Я не думаю, что я могу удалить набор параметров по умолчанию (который я думаю, тихий всплеск), но я могу передать дополнительные параметры при загрузке. Я пытался загрузке от сети и заряда батареи, а также с помощью этих комбинаций параметров ядра батареи:

с ACPI=включение с PCI=noacpi ЧКВ=присвоить-Буссо с ACPI=HT и
с ACPI=выкл
nomodeset
nomodeset ACPI в=выкл.
с ACPI=выкл nomodeset xforcevesa

Почему я получаю эту ошибку и как я могу это исправить?

+441
Probojnik 9 апр. 2018 г., 21:52:07

Это действительно больше похоже на проблемы с аппаратной частью компьютера, чем конкретную проблему в Ubuntu. У вас есть проблемы со всеми устройствами USB, или это просто диски?

Вы можете подключить что-то в и использовать команду lsusb , чтобы проверить, если устройство на самом деле есть и размонтирования или, если это становится физически отключен из-за ошибки с портами USB.

Вы также можете попробовать его в другой USB-порт. Извините, если это звучит очевидно, но иногда самые простые решения являются лучшими.

+430
renato 14 мар. 2010 г., 15:23:13

Вы можете включить их в ваше приложение, установки их в тот же каталог, как и остальные ваши файлы. Если остальная часть вашего приложения на QML, и вы используете qmlscene, чтобы запустить его, используйте-I флаг, чтобы добавить путь к библиотеке, где qmlscene будет пытаться загрузить их из.

+426
Xexiz 11 июн. 2014 г., 13:38:39

Есть ли способ переключения вкладок в Chrome или Firefox, прокрутив колесико мыши, удерживая правую кнопку мыши нажатой?

В Chrome или Firefox (с вкладкой-колесо прокрутки расширение) вы можете переключаться между вкладками с помощью прокрутки колеса при наведении указателя мыши на вкладку-бар.

Функция Opera является гораздо более удобным, так как вам не придется целиться во вкладку-бар, чтобы переключиться.

Я уже пробовал вкладке-переключение назначение сочетания клавиш на кнопку мыши в сочетании с колесом мыши, но он не работает вообще. Мне кажется, что мыши-события не могут быть объединены в xbindkeys. Кроме того, назначая что-нибудь, чтобы правая кнопка мыши в xbindkeys отключил стандартные функции кнопку полностью.

Заранее спасибо, пока YSN

+424
franck 21 окт. 2010 г., 5:24:13

я хотел бы попробовать (пере)установить этот пакет сообщим-ОСД. В терминале вызвать:

суда apt-получить установку уведомления-ОСД

Если пакет уже установлен, проверьте, работает ли она с использованием:

ПС вход aux | grep в уведомления-ОСД

Если это не работает, попробуйте запустить его с помощью:

в /usr/lib в/уведомление-меню/Уведомления-ОСД

Я надеюсь, это поможет вам.

Привет из Швейцарии, Майкл к

+367
Shannon Logue 30 мар. 2018 г., 2:28:54

Я в Пакистане и на YouTube был заблокирован здесь. Я хочу взять лекции видео с YouTube. В Windows, я использовал Hotspotshield для обхода прокси.

Но теперь, используя Ubuntu, я не знаю, как обойти прокси. Я нашел где-то, что я могу обойти прокси с помощью программы шпатлевка. Вы можете направлять мне, как я могу обойти прокси на что? Я пытался, но я был не в состоянии сделать так. Пожалуйста, скажите мне легкий способ обойти прокси. Я не хочу использовать веб-сайты, как accesstoblockedsites.com.

+350
zlbober 31 мар. 2017 г., 9:40:27

Какую ОС вы используете? если это Убунту Вы установили Ubuntu СДК?

В любом случае инструкция по восстановлению для Android можно найти здесь О Восстановлении Разделе Android Для получения дополнительной помощи вы можете связаться с Ubuntu-сенсорный канал на IRC на HTTP:// webchat.freenode.net/?channels=ubuntu-touch

+307
gvgramazio 15 янв. 2018 г., 0:51:23

У меня Ubuntu и Windows, установленных вместе. Я хочу переустановить Ubuntu, но мне нужно, чтобы добавить немного места из Windows диск D:. Есть ли шанс потерять данные и если не Пожалуйста, дайте мне указания.

Установщик Ubuntu с помощью GParted, да? Есть ли разница между если я изменить размер диск D: или при установке?

+252
cmbind55 9 дек. 2017 г., 9:40:47

Я пытаюсь установить Ubuntu 12.04, как вторую ОС на моем ноутбуке. Основная ОС у меня стоит Windows 8.

Так что у меня секционированного диска, где файловая система NTFS для Windows 8 и других разделов ext4 для Ubuntu.

Когда я установил Ubuntu, я выбрал раздел ext4 и выбрал 3 варианта загрузчика до сих пор:

в /dev/ста-Ата Хитачи (750 ГБ) <-= это...
/разработки/с sta1 для Windows 8 (загрузчик) <-= и это...
/разработки/sta2
/разработки/sta5
в /dev/sta6 в Ubuntu 12.04 (12.04) <-= и это...
/разработки/СТБ

После того, как 3 установки я все еще не могу загрузить Ubuntu, ни даже можете увидеть любой загрузчик... он идет прямо до загрузки Windows 8...

Пожалуйста, помогите! Это было очень неприятно в день-полтора... и я не думаю, что это следует принимать так долго, чтобы выяснить, =[

Ответ: я не мог найти правильное решение для моей проблемы. Я не уверен, если я обнаружил некоторые повреждения диска, или глюк программы, единственным решением, что фиксированная моя проблема была, чтобы ехать обратно и полностью обновили раздел моего жесткого диска. Пожалуйста, напишите, если кто-нибудь столкнуться с подобной проблемой. Как я действительно хотел бы знать, почему мой привод не смог установить Ubuntu на моем диске.

+248
user380226 19 мар. 2010 г., 1:24:39

У меня Xubuntu в установлен на моем ПК. Когда я играю в видео после запуска системы она играет хорошо. Через некоторое время видео не отображается, и я могу только услышать звук. Если я перезагрузки моего компьютера, то видео отображается снова. Я установил VLC-плеер, но это не решить мою проблему.

+208
Sungur Tekin 27 февр. 2017 г., 1:13:24

Я читал про единство Худ.

Это макет или настоящий? Я могу установить его на моей текущей установки Ubuntu 11.10 или мне нужно обновить до 12.04?

+41
87Cerber 13 янв. 2019 г., 18:07:25

Показать вопросы с тегом